Probleme cu CMake în CentOS 6 (Unix, Centos, Face)

artaxerxe a intrebat.

Încerc să instalez un software în CentOS 6.2, fără succes. În fișierul README se spune:

Requirements:
  - qt4 gui lib version >= qt4.6.x

    Note that many linux distributions split packages into a user
    and developer package and that you need to install both.

  - ALSA Version 1.0 or newer (audio/midi input/output)
  - CMake >= 2.4.6
  - libsndfile >= 1.0.19

  - recommended: JACK audio server (audio output)

  - recommended: portaudio 19
    (required for windows version)

când încerc să-l instalez cu make release, obțin următoarele:


-- The C compiler identification is GNU
-- The CXX compiler identification is unknown
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
CMake Error: your CXX compiler: "CMAKE_CXX_COMPILER-NOTFOUND" was not found.   Please set CMAKE_CXX_COMPILER to a valid compiler path or name.

Mă poate ajuta cineva în această problemă?

2 răspunsuri
taka

Ai nevoie de c++ și alte câteva pachete.de exemplu:

# yum install gcc-c++
# yum install cmake`
Installed:
cmake.i386 0:2.6.4-1.el5.rf                                                  
Complete!
# yum install -y ncurses-devel
Installed:
ncurses-devel.i386 0:5.5-24.20060715                                         
Complete!

artaxerxe

Am făcut-o prin instalarea gcc-c++ prin yum.

Tags:,